/** @typedef {RegExp|string|((value:string) => boolean)} FeatureCheck */
/**
 * @param {string} browserKey
 * @param {string[]} [versions]
 * @return {string}
 */
export function formatBrowserName(browserKey: string, versions?: string[]): string;
/**
 *
 * @param {FeatureCheck|FeatureCheck[]} check
 * @param {?string|undefined} candidate
 */
export function performFeatureCheck(check: FeatureCheck | FeatureCheck[], candidate: (string | undefined) | null): any;
/**
 * @param {FeatureCheck|FeatureCheck[]} selector
 * @return {(rule:import('postcss').ChildNode) => boolean}
 */
export function checkSelector(selector: FeatureCheck | FeatureCheck[]): (rule: import('postcss').ChildNode) => boolean;
/**
 * @param {FeatureCheck|FeatureCheck[]} [name]
 * @param {FeatureCheck|FeatureCheck[]} [params]
 * @return {(rule:import('postcss').ChildNode) => boolean}
 */
export function checkAtRule(name?: FeatureCheck | FeatureCheck[], params?: FeatureCheck | FeatureCheck[]): (rule: import('postcss').ChildNode) => boolean;
export type FeatureCheck = string | RegExp | ((value: string) => boolean);
